diff --git a/changelog b/changelog
index 40004d2..4e00aa8 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20100912 tpd src/axiom-website/patches.html 20100912.02.tpd.patch
+20100912 tpd src/input/Makefile add manuel.input
+20100912 tpd src/input/manuel.input add Manuel's integral to test suite
 20100912 tpd src/axiom-website/patches.html 20100912.01.tpd.patch
 20100912 tpd src/interp/compiler.lisp treeshake compiler
 20100912 tpd books/bookvol9 treeshake compiler
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index c1de09b..a1d70b8 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3119,5 +3119,7 @@ books/bookvol9 treeshake compiler<br/>
 books/bookvol9 treeshake compiler<br/>
 <a href="patches/20100912.01.tpd.patch">20100912.01.tpd.patch</a>
 books/bookvol9 treeshake compiler<br/>
+<a href="patches/20100912.02.tpd.patch">20100912.02.tpd.patch</a>
+src/input/manuel.input add Manuel's integral to test suite<br/>
  </body>
 </html>
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index ae25be5..5334697 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -347,7 +347,7 @@ REGRESSTESTS= ackermann.regress \
     lodo2.regress     lodo3.regress    lodof.regress    lodo.regress \
     log.regress \
     lpoly.regress     lupfact.regress  lword.regress    macbug.regress \
-    macros.regress    magma.regress    mapleok.regress   \
+    macros.regress    magma.regress    manuel.regress   mapleok.regress   \
     matbug.regress    mathml.regress   \
     matrix1.regress   matrix22.regress matrix.regress \
     mfinfact.regress  mkfunc.regress   monitortest.regress \
@@ -715,7 +715,7 @@ FILES= ${OUT}/ackermann.input \
        ${OUT}/lpoly.input    ${OUT}/lump.input \
        ${OUT}/lupfact.input  ${OUT}/lword.input      ${OUT}/macbug.input \
        ${OUT}/macros.input   ${OUT}/marcbench.input  ${OUT}/magma.input \
-       ${OUT}/mapleok.input  ${OUT}/matbug.input \
+       ${OUT}/manuel.input   ${OUT}/mapleok.input  ${OUT}/matbug.input \
        ${OUT}/mathml.input \
        ${OUT}/matrix22.input ${OUT}/matrix.input     ${OUT}/matrix1.input \
        ${OUT}/mfinfact.input ${OUT}/mkfunc.input     ${OUT}/monitortest.input \
@@ -1088,7 +1088,7 @@ DOCFILES= \
   ${DOC}/lump.input.dvi        ${DOC}/lupfact.input.dvi    \
   ${DOC}/lword.input.dvi       ${DOC}/macbug.input.dvi     \
   ${DOC}/macros.input.dvi      ${DOC}/magma.input.dvi      \
-  ${DOC}/mapleok.input.dvi     \
+  ${DOC}/manuel.input.dvi      ${DOC}/mapleok.input.dvi     \
   ${DOC}/marcbench.input.dvi   ${DOC}/matbug.input.dvi     \
   ${DOC}/mathml.input.dvi      \
   ${DOC}/matops.as.dvi         ${DOC}/matrix1.input.dvi    \
diff --git a/src/input/manuel.input.pamphlet b/src/input/manuel.input.pamphlet
new file mode 100644
index 0000000..4bf07b1
--- /dev/null
+++ b/src/input/manuel.input.pamphlet
@@ -0,0 +1,64 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input manuel.input}
+\author{Manuel Bronstein}
+\maketitle
+\begin{abstract}
+This integral from Manuel Bronstein was posted on comp.soft-sys.math.maple
+as one that Axiom handled with a simple result but generated long output
+on Mathematica and Maple.
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+\begin{chunk}{*}
+)set break resume
+)spool manuel.output
+)set message test on
+)set message auto off
+)clear all
+ 
+--S 1 of 3
+g:=x/sqrt(x^4+10*x^2-96*x-71)
+--R
+--R                   x
+--R   (1)  -----------------------
+--R         +--------------------+
+--R         | 4      2
+--R        \|x  + 10x  - 96x - 71
+--R                                                     Type: Expression Integer
+--E 1
+
+--S 2 of 3
+f:=integrate(g,x)
+--R
+--R   (2)
+--R   -
+--R        log
+--R                                                    +--------------------+
+--R               6      4      3      2               | 4      2                8
+--R             (x  + 15x  - 80x  + 27x  - 528x + 781)\|x  + 10x  - 96x - 71  - x
+--R           + 
+--R                  6       5      4        3        2
+--R             - 20x  + 128x  - 54x  + 1408x  - 3124x  - 10001
+--R     /
+--R        8
+--R                                          Type: Union(Expression Integer,...)
+--E 2
+
+--S 3 of 3
+differentiate(f,x)-g
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 3
+)spool 
+)lisp (bye)
+ 
+\end{chunk}
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} nothing
+\end{thebibliography}
+\end{document}
